Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.ComponentHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

protected class BasicInternalFrameUI.ComponentHandler
extends java.lang.Object
implements java.awt.event.ComponentListener

Constructor Summary
`protected` | `BasicInternalFrameUI.ComponentHandler()`

Method Summary
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)` Invoked when a maximized JInternalFrame's parent's size changes.
`void` | `componentShown(java.awt.event.ComponentEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.ComponentHandler

    protected BasicInternalFrameUI.ComponentHandler()

Method Detail

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Invoked when a maximized JInternalFrame's parent's size changes.
  Specified by:
    componentResized in interface java.awt.event.ComponentListener

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    componentMoved in interface java.awt.event.ComponentListener

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    componentShown in interface java.awt.event.ComponentListener

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    componentHidden in interface java.awt.event.ComponentListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.